Load mocha/minitest integration explicitly in test_helper
Status: Closed   

Priority: Normal   

Assignee: Dominic Cleal   

Category: Tests   

Target version: 1.12.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/3232

  

Description

https://github.com/rails/rails/commit/fd6aaaa in Rails 4.2 will remove automatic loading of mocha from the Rails test helper, as it's

expected that applications have an explicit dependency on it anyway if they want to use it.

Without it, mocha methods simply don't exist and tests fail with:

NoMethodError: undefined method `any_instance' for #<Class:0x000000070d2670>

    app/models/host.rb:15:in `method_missing'

    test/test_helper.rb:196:in `disable_orchestration'

Related issues:

Blocks Foreman - Feature #13244: Upgrade Ruby on Rails to 4.2 Closed 01/15/2016

Associated revisions

Revision 8a7d34da - 02/25/2016 05:33 AM - Dominic Cleal

fixes #13879 - load mocha/minitest integration explicitly

rails/rails@fd6aaaa removed automatic loading of mocha in Rails 4.2

from rails/test_help.

History

#1 - 02/24/2016 10:52 AM - Dominic Cleal

- Blocks Feature #13244: Upgrade Ruby on Rails to 4.2 added

#2 - 02/24/2016 10:52 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/3232 added

#3 - 02/25/2016 06:01 AM - Dominic Cleal

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 8a7d34da3210f09eed593c5871883175c57a6701.

#4 - 02/25/2016 08:29 AM - Dominic Cleal

- translation missing: en.field_release set to 136
